#
# spec file for package mcds
#
# Copyright (c) 2024 SUSE LLC
# Copyright (c) 2019-2024, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mcds
Version:        1.9
Release:        1.2
Summary:        Mutt Carddav search program
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Email/Utilities
URL:            https://github.com/t-brown/mcds
Source:         https://github.com/t-brown/mcds/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libgpgme-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libxml-2.0)

%description
mcds is a command line tool primarily used as a search query plugin
for mutt to query a carddav server.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license LICENSE
%doc AUTHORS ChangeLog NEWS README.md
%{_bindir}/mcds
%{_mandir}/man1/mcds.1%{?ext_man}

%changelog
* Fri Nov 15 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 1.9
  * Fixing netrc usage.
* Sat Nov  9 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 1.8
  * Adding the ability to use libsecret including
    prompting and saving the password.
* Sun Oct 20 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 1.7
  * Updating po file.
  * Fixing a printf() argument types.
  * Fail query on HTTP error
  * Ability to run `-V` and `-h` before `decrypt()`.
  * Bugfix in rc.c
  * Fixing unveil.
  * Remove generated files
  * Update mcds.1 copyright
  * fix lintian-found typos
  * Remove obsolete autoconf macros
  * Add example URL for Baikal
* Thu Jan 16 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.6
  * Fix build on i586
- Remove patch:
  * mcds-fix32bit-build.patch (fixed upstream)
* Wed Jan 15 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.5
  * Add a LICENSE file
- Add patch:
  * mcds-fix32bit-build.patch
* Sat Dec 28 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.4
  * Updating the order of pledge promises as per JCA.
* Fri Dec 27 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.3
  * Cleaning up the unveil() calls.
  * Bugfix in the manpage.
* Wed May  8 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.2
  * only buildsystem related changes
- Drop patch:
  * mcds-fix-compile-option-odering.patch (fixed upstream)
* Mon May  6 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.0
  * Add initial support for a password file that is OpenGPG
    encrypted.
  * Manpage improvements
* Fri Apr 26 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.9
  * only buildsystem related changes
* Tue Apr  9 2019 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.8
